Package org.apache.nutch.protocol.interactiveselenium.handlers

## Class DefalultMultiInteractionHandler

- java.lang.Object
- - org.apache.nutch.protocol.interactiveselenium.handlers.DefalultMultiInteractionHandler

- All Implemented Interfaces:
    `InteractiveSeleniumHandler`

      public class DefalultMultiInteractionHandler
      extends Object
      implements InteractiveSeleniumHandler

  This is a placeholder/example of a technique or use case where we do multiple interaction with the web driver and need data from each such interaction in the end. This code shows that after you have done multiple interactions and accumulated data you can in the end append that to the driver.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefalultMultiInteractionHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `processDriver​(org.openqa.selenium.WebDriver driver)` |
    `boolean` | `shouldProcessURL​(String URL)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefalultMultiInteractionHandler

          public DefalultMultiInteractionHandler()

  - ### Method Detail

    - #### processDriver

          public String processDriver​(org.openqa.selenium.WebDriver driver)

      Specified by:
        `processDriver` in interface `InteractiveSeleniumHandler`

    - #### shouldProcessURL

          public boolean shouldProcessURL​(String URL)

      Specified by:
        `shouldProcessURL` in interface `InteractiveSeleniumHandler`